## org.apache.lucene.xmlparser.builders
Class BoostingQueryBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.BoostingQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class BoostingQueryBuilder

extends Object
implements QueryBuilder

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Constructor Summary
`BoostingQueryBuilder(QueryBuilder factory)`

Method Summary
`Query` `getQuery(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoostingQueryBuilder

    public BoostingQueryBuilder(QueryBuilder factory)

Method Detail

### getQuery

    public Query getQuery(Element e)
                   throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.